<?php
namespace Mirasvit\LayeredNavigation\Block\Css;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Css
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Css implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Mirasvit\LayeredNavigation\Service\CssCreatorService $cssCreatorService, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $cssCreatorService, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
